Skip to main content
`Ctrl`+`K`

# numpy.char.chararray.nbytes

attribute

char.chararray.nbytes

  Total bytes consumed by the elements of the array.

  See also

  `sys.getsizeof`

    Memory consumed by the object itself without parents in case view. This does include memory consumed by non-element attributes.

  Notes

  Does not include memory consumed by non-element attributes of the array object.

  Examples

      >>> import numpy as np
      >>> x = np.zeros((3,5,2), dtype=np.complex128)
      >>> x.nbytes
      480
      >>> np.prod(x.shape) * x.itemsize
      480